package irctest;

import java.awt.*;
import javax.swing.*;

/**
 * <p>Title: MegaDarkIRC</p>
 * <p>Description: Dark IRC client</p>
 * <p>Copyright: Copyleft (d) 2002</p>
 * @author darko
 * @version 0.4
 */

public class MegaDarkIRC {
  boolean packFrame = false;

  //Construct the application
  public MegaDarkIRC() {
    GUI frame = new GUI();
    if (packFrame) {
      frame.pack();
    }
    else {
      frame.validate();
    }

    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setVisible(true);
  }

  public static void main(String[] args) {
    new MegaDarkIRC();
  }
}