package irctest;

import javax.swing.*;
import java.awt.*;
import java.io.*;
import java.awt.event.*;


public class Privmsg extends JFrame {
  FlowLayout flowLayout1 = new FlowLayout();
  JTextArea areaChat = new JTextArea();
  JScrollPane jScrollPane = new JScrollPane(areaChat);
  JTextField typed = new JTextField();
  JButton sndBtn = new JButton();
  PrintStream ps;
  String other;
  public boolean open;
  public String txt, nick;

  public Privmsg() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    this.getContentPane().setLayout(flowLayout1);
    jScrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
    jScrollPane.setPreferredSize(new Dimension(400, 330));
    jScrollPane.getViewport().setBackground(Color.white);
    sndBtn.setText("Send");
    sndBtn.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        sndBtn_actionPerformed(e);
      }
    });
    typed.setBackground(Color.black);
    typed.setForeground(Color.red);
    typed.setToolTipText("Type here...");
    typed.setSelectionColor(Color.red);
    typed.setColumns(30);
    this.setBackground(Color.gray);
    areaChat.setBackground(Color.black);
    areaChat.setForeground(Color.cyan);
    areaChat.setSelectionColor(Color.orange);
    areaChat.setWrapStyleWord(true);
    this.getContentPane().add(jScrollPane, null);
    this.getContentPane().add(typed, null);
    this.getContentPane().add(sndBtn, null);
    jScrollPane.getViewport().add(areaChat, null);
    open = true;
  }

  void printa(String txt) {
    areaChat.append("-> " + txt + "\n");
    ps.println("PRIVMSG " + other + " :" + txt + "\n");
  }

  public void setOther(String other) {
    this.other = other;
  }

  public void setNick(String nick) {
    this.nick = nick;
  }

  public void setPS(PrintStream ps) {
    this.ps = ps;
  }

  void sndBtn_actionPerformed(ActionEvent e) {
    txt = typed.getText();
    printa(txt);
    typed.setText("");
  }

  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      open = false;
    }
  }
}