package irctest;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


public class Server extends JFrame{
  FlowLayout flowLayout1 = new FlowLayout();
  String server;
  JButton okBtn = new JButton();
  JButton cancBtn = new JButton();
  JPanel jPanel1 = new JPanel();
  JComboBox jComboBox1 = new JComboBox();
  JPanel jPanel3 = new JPanel();
  JButton addBtn = new JButton();
  JTextField jTextField1 = new JTextField();
  JButton rmBtn = new JButton();
  JPanel jPanel2 = new JPanel();
  JLabel jLabel1 = new JLabel();

  public Server() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    this.getContentPane().setBackground(Color.gray);
    this.setResizable(false);
    this.setTitle("Server");
    this.getContentPane().setLayout(flowLayout1);
    okBtn.setText("Ok");
    okBtn.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        okBtn_actionPerformed(e);
      }
    });
    cancBtn.setText("Cancel");
    cancBtn.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        cancBtn_actionPerformed(e);
      }
    });
    jPanel1.setBackground(Color.darkGray);
    jPanel1.setBorder(BorderFactory.createEtchedBorder());
    jPanel1.setPreferredSize(new Dimension(210, 80));
    jComboBox1.setBackground(Color.orange);
    jComboBox1.setForeground(Color.darkGray);
    jComboBox1.setBorder(BorderFactory.createEtchedBorder());
    jComboBox1.setMinimumSize(new Dimension(200, 26));
    jComboBox1.setPreferredSize(new Dimension(200, 26));
    jComboBox1.setEditable(true);
    jComboBox1.setSelectedItem("localhost");
    jPanel3.setBackground(Color.darkGray);
    jPanel3.setBorder(BorderFactory.createEtchedBorder());
    jPanel3.setPreferredSize(new Dimension(210, 80));
    addBtn.setText("Add");
    addBtn.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        addBtn_actionPerformed(e);
      }
    });
    jTextField1.setBackground(Color.black);
    jTextField1.setForeground(Color.orange);
    jTextField1.setCaretColor(Color.orange);
    jTextField1.setColumns(20);
    rmBtn.setText("Remove");
    rmBtn.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        rmBtn_actionPerformed(e);
      }
    });
    jLabel1.setForeground(Color.yellow);
    jLabel1.setText("Select or edit your favourite server:");
    jPanel2.setBackground(Color.darkGray);
    jPanel2.setBorder(BorderFactory.createEtchedBorder());
    jPanel2.setMinimumSize(new Dimension(210, 31));
    jPanel2.setPreferredSize(new Dimension(210, 31));
    flowLayout1.setHgap(0);
    flowLayout1.setVgap(0);
    jPanel3.add(jTextField1, null);
    jPanel3.add(addBtn, null);
    jPanel3.add(rmBtn, null);
    jPanel1.add(jComboBox1, null);
    jPanel1.add(okBtn, null);
    jPanel1.add(cancBtn, null);
    this.getContentPane().add(jPanel2, null);
    this.getContentPane().add(jPanel3, null);
    this.getContentPane().add(jPanel1, null);

    jPanel2.add(jLabel1, null);

    jComboBox1.addItem(makeObj("localhost"));
    jComboBox1.addItem(makeObj("irc.autistici.org"));
    jComboBox1.addItem(makeObj("irc.openprojects.net"));

  }

  private Object makeObj(final String item)  {
    return new Object() { public String toString() { return item; } };
  }

  void okBtn_actionPerformed(ActionEvent e) {
    server = (String)jComboBox1.getSelectedItem();
    this.setVisible(false);
  }
   protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
    }
  }

  void cancBtn_actionPerformed(ActionEvent e) {
    this.setVisible(false);
  }

  void addBtn_actionPerformed(ActionEvent e) {
    String newserver = jTextField1.getText();
    if(!newserver.equals("")) {
      jTextField1.setText("");
      jComboBox1.addItem(newserver);
      jComboBox1.setSelectedItem(newserver);
    }
  }

  void rmBtn_actionPerformed(ActionEvent e) {
    jComboBox1.removeItem(jComboBox1.getSelectedItem());
  }
}